function onBegin()
    disableRetry()
    disableMovement()
    wait(1.5)
    setFlag("darken", true)
    wait(0.5)
    instantTeleportTo(34848, 1451, "E4")
    setFlag("darken", false)
    enableRetry()
    enableMovement()
    endCutscene()
end